Package org.eclipse.graphiti

# Interface IPropertyBag

All Known Subinterfaces:
  `IAddBendpointContext`, `IAddConnectionContext`, `IAddContext`, `IAreaContext`, `IConnectionContext`, `IContext`, `ICopyContext`, `ICreateConnectionContext`, `ICreateContext`, `ICustomContext`, `IDeleteContext`, `IDirectEditingContext`, `IDoubleClickContext`, `ILayoutContext`, `ILocationContext`, `IMoveAnchorContext`, `IMoveBendpointContext`, `IMoveConnectionDecoratorContext`, `IMoveContext`, `IMoveShapeContext`, `IPasteContext`, `IPictogramElementContext`, `IPictogramElementsContext`, `IPrintContext`, `IReconnectionContext`, `IRemoveBendpointContext`, `IRemoveContext`, `IResizeContext`, `IResizeShapeContext`, `ISaveImageContext`, `ISingleClickContext`, `ISplitConnectionContext`, `ITargetConnectionContext`, `ITargetConnectionDecoratorContext`, `ITargetContext`, `IUpdateContext`

All Known Implementing Classes:
  `AbstractClickContext`, `AddBendpointContext`, `AddConnectionContext`, `AddContext`, `AreaAnchorContext`, `AreaContext`, `CopyContext`, `CreateConnectionContext`, `CreateContext`, `CustomContext`, `DefaultContext`, `DeleteContext`, `DetailedPictogramElementContext`, `DirectEditingContext`, `DoubleClickContext`, `IdLayoutContext`, `IdUpdateContext`, `LayoutContext`, `LocationContext`, `MoveBendpointContext`, `MoveConnectionDecoratorContext`, `MoveContext`, `MoveShapeContext`, `PasteContext`, `PictogramElementContext`, `PictogramElementsContext`, `PrintContext`, `PropertyBag`, `ReconnectionContext`, `RemoveBendpointContext`, `RemoveContext`, `ResizeContext`, `ResizeShapeContext`, `SaveImageContext`, `SingleClickContext`, `SplitConnectionContext`, `UpdateContext`

public interface IPropertyBag
The Interface IPropertyBag.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProperty(Object key)`
Returns the value to which the specified key is mapped, or `null` if there is no mapping for the key.
`List<Object>`
`getPropertyKeys()`
Returns a `List` of all available property keys.
`Object`
`putProperty(Object key, Object value)`
Associates the specified value with the specified key.

## Method Details

### putProperty

Object putProperty(Object key, Object value)
Associates the specified value with the specified key. If a mapping for the key already exists, the old value is replaced.

Parameters:
  `key` - key with which the specified value is to be associated
  `value` - value to be associated with the specified key
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`.
See Also:
  - `getProperty(Object)`

### getProperty

Object getProperty(Object key)
Returns the value to which the specified key is mapped, or `null` if there is no mapping for the key.

See Also:
  - `putProperty(Object, Object)`

### getPropertyKeys

List<Object> getPropertyKeys()
Returns a `List` of all available property keys. The list may be empty.

Returns:
  The list of all property keys.
Since:
  0.10